Package com.avaya.clientservices.contact

## Enum ContactSearchScopeType

- java.lang.Object
- - java.lang.Enum<ContactSearchScopeType>
  - - com.avaya.clientservices.contact.ContactSearchScopeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactSearchScopeType>`

      public enum ContactSearchScopeType
      extends java.lang.Enum<ContactSearchScopeType>

  Type of scope used for `ContactService.searchContacts(DataRetrievalWatcher, String, ContactSearchScopeType, ContactSearchLocationType, int, int)` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` | Search contacts by all allowed fields (name, handle, phone number, etc.).
    `HANDLE` | Search contacts by handle (email and IM addresses).
    `NAME` | Search contacts by name.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactSearchScopeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactSearchScopeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final ContactSearchScopeType NAME

      Search contacts by name.

    - #### HANDLE

          public static final ContactSearchScopeType HANDLE

      Search contacts by handle (email and IM addresses).

    - #### ALL

          public static final ContactSearchScopeType ALL

      Search contacts by all allowed fields (name, handle, phone number, etc.).

  - ### Method Detail

    - #### values

          public static ContactSearchScopeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactSearchScopeType c : ContactSearchScopeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactSearchScopeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null